<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'AtlassianResources',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="section">
    <SlpContainer class="wrapper">
      <SlpTypography
        tag="h2"
        variant="heading2-bold"
        class="slp-mb-8 section__header"
        >{{ data.header }}</SlpTypography
      >
      <SlpTypography tag="h5" variant="heading5" class="slp-mb-32">{{
        data.description
      }}</SlpTypography>
      <div class="featured-content">
        <div
          v-for="(case_study, index) in data.case_studies"
          :key="index"
          :index="index"
          class="featured-content__card"
        >
          <div class="featured-content__wrap">
            <img
              :src="case_study.img.url"
              :alt="case_study.img.alt"
              class="featured-content--showcase-img"
            />
            <SlpTypography tag="h2" variant="heading5-bold" class="slp-p-32">{{
              case_study.header
            }}</SlpTypography>
            <SlpButton
              v-if="case_study.link.href"
              variant="tertiary"
              class="featured-content__link"
              :href="case_study.link.href"
              :data-ga-name="case_study.link.data_ga_name"
              :data-ga-location="case_study.link.data_ga_location"
            >
              <SlpTypography variant="body1-bold">{{
                case_study.link.text
              }}</SlpTypography>
              <SlpIcon
                class="learn-more__icon"
                name="chevron-lg-right"
                variant="product"
                alt="Chevron Right Icon"
              />
            </SlpButton>
          </div>
        </div>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.section {
  &__header {
    position: relative;
  }
}

.wrapper {
  margin-bottom: $spacing-96;
  padding-top: $spacing-64;
  @media (max-width: $breakpoint-lg) {
    margin-bottom: $spacing-64;
  }
}

.featured-content {
  display: flex;
  flex-wrap: wrap;

  @media (max-width: $breakpoint-lg) {
    flex-wrap: nowrap;
    overflow: scroll;
  }

  &__wrap {
    flex-basis: 100%;
    background: $color-surface-800;
    display: flex;
    flex-direction: column;
    border-radius: 4px;
    justify-content: space-between;
    margin: 0 $spacing-24 0 0;
    height: 100%;
  }

  &__card {
    color: inherit;
    border-radius: 4px 4px 4px 4px;
    flex-direction: column;
    align-items: flex-start;
    width: calc(33% - 16px);
    isolation: isolate;
    z-index: 1;
    position: relative;
    cursor: pointer;
    margin-top: $spacing-32;

    @media (max-width: $breakpoint-lg) {
      width: 90%;
    }
  }

  &__text {
    flex-basis: 100%;
  }

  &__link {
    padding: $spacing-32;
    margin-top: 24px;
  }

  &--showcase-img {
    object-fit: cover;
    border-radius: 4px 4px 0 0;
    height: 200px;
  }
}
</style>
